Creates a standard backpropagation neural network which is not fully connectected and has shortcut connections

- « fann_create_from_file

- fann_create_shortcut »

- PHP Manual
- Fann Functions
- Creates a standard backpropagation neural network which is not fully connectected and has shortcut connections

# fann_create_shortcut_array

(PECL fann >= 1.0.0)

fann_create_shortcut_array — Creates a standard backpropagation neural network which is not fully connectected and has shortcut connections

### Description

fann_create_shortcut_array(int `$num_layers`, array `$layers`): resource

Creates a standard backpropagation neural network which is not fully connectected and has shortcut connections using an array of layers sizes.

### Parameters

`num_layers`

  The total number of layers including the input and the output layer.

`layers`

  An array of layers sizes.

### Return Values

Returns a neural network resource on success, or `false` on error.

### See Also

- fann_create_shortcut() - Creates a standard backpropagation neural network which is not fully connectected and has shortcut connections
- fann_create_sparse() - Creates a standard backpropagation neural network, which is not fully connected
- fann_create_standard() - Creates a standard fully connected backpropagation neural network